Loading...
Searching...
No Matches
IDXGIAdapter1Vtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (IDXGIAdapter1 *This, REFIID riid, _COM_Outptr_ void **ppvObject)
IDXGIAdapter1 _In_ REFGUID UINT | _In_reads_bytes_ (DataSize) const void *pData)

## Public Attributes

IDXGIAdapter1 * | This
IDXGIAdapter1 _In_ REFGUID | Name
IDXGIAdapter1 _In_ REFGUID UINT | DataSize
IDXGIAdapter1 _In_ REFGUID _In_opt_ const IUnknown * | pUnknown
IDXGIAdapter1 _In_ REFGUID _Inout_ UINT * | pDataSize
IDXGIAdapter1 _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void * | pData
IDXGIAdapter1 _In_ REFIID | riid
IDXGIAdapter1 _In_ REFIID _COM_Outptr_ void ** | ppParent
IDXGIAdapter1 UINT | Output
IDXGIAdapter1 UINT _COM_Outptr_ IDXGIOutput ** | ppOutput
IDXGIAdapter1 _Out_ DXGI_ADAPTER_DESC * | pDesc
IDXGIAdapter1 _In_ REFGUID | InterfaceName
IDXGIAdapter1 _In_ REFGUID _Out_ LARGE_INTEGER * | pUMDVersion
IDXGIAdapter1 _Out_ DXGI_ADAPTER_DESC1 * | pDesc

## Detailed Description

Definition at line 6633 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

IDXGIAdapter1Vtbl::BEGIN_INTERFACE | ( | IDXGIAdapter1 * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_()

IDXGIAdapter1 _In_ REFGUID UINT IDXGIAdapter1Vtbl::_In_reads_bytes_ | ( | DataSize |  | ) | const

References _In_, DataSize, Name, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

IDXGIAdapter1 * IDXGIAdapter1Vtbl::This

Definition at line 6645 of file mini_d3d12.h.

Referenced by _In_reads_bytes_(), and BEGIN_INTERFACE().

## Name

IDXGIAdapter1 _In_ REFGUID IDXGIAdapter1Vtbl::Name

Definition at line 6655 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## DataSize

IDXGIAdapter1 _In_ REFGUID UINT IDXGIAdapter1Vtbl::DataSize

Definition at line 6656 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## pUnknown

IDXGIAdapter1 _In_ REFGUID _In_opt_ const IUnknown* IDXGIAdapter1Vtbl::pUnknown

Definition at line 6666 of file mini_d3d12.h.

## pDataSize

IDXGIAdapter1 _In_ REFGUID _Inout_ UINT* IDXGIAdapter1Vtbl::pDataSize

Definition at line 6674 of file mini_d3d12.h.

## pData

IDXGIAdapter1 _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void* IDXGIAdapter1Vtbl::pData

Definition at line 6676 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## riid

IDXGIAdapter1 _In_ REFIID IDXGIAdapter1Vtbl::riid

Definition at line 6682 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppParent

IDXGIAdapter1 _In_ REFIID _COM_Outptr_ void** IDXGIAdapter1Vtbl::ppParent

Definition at line 6684 of file mini_d3d12.h.

## Output

IDXGIAdapter1 UINT IDXGIAdapter1Vtbl::Output

Definition at line 6689 of file mini_d3d12.h.

## ppOutput

IDXGIAdapter1 UINT _COM_Outptr_ IDXGIOutput** IDXGIAdapter1Vtbl::ppOutput

Definition at line 6691 of file mini_d3d12.h.

## pDesc [1/2]

IDXGIAdapter1 _Out_ DXGI_ADAPTER_DESC* IDXGIAdapter1Vtbl::pDesc

Definition at line 6697 of file mini_d3d12.h.

## InterfaceName

IDXGIAdapter1 _In_ REFGUID IDXGIAdapter1Vtbl::InterfaceName

Definition at line 6703 of file mini_d3d12.h.

## pUMDVersion

IDXGIAdapter1 _In_ REFGUID _Out_ LARGE_INTEGER* IDXGIAdapter1Vtbl::pUMDVersion

Definition at line 6705 of file mini_d3d12.h.

## pDesc [2/2]

IDXGIAdapter1 _Out_ DXGI_ADAPTER_DESC1* IDXGIAdapter1Vtbl::pDesc

Definition at line 6711 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h